import element from 'element-ui'
import './assets/css/element_theme.scss'
import './assets/css/init.scss' // css初始化
import './assets/css/common.scss' // css初始化
import Dialog from '../packages/dialog'
import Drawer from '../packages/drawer'
import Tabel from '../packages/table'
import Upload from '../packages/upload'
import Scrollbar from '../packages/scrollbar'
import Tree from '../packages/tree'
import IconSvg from '../packages/icon'
import UploadDialog from '../packages/uploadDialog'

const components = [Dialog, Drawer, Tabel, Upload, Scrollbar, Tree, IconSvg, UploadDialog]

const install = function(Vue, opts = {}) {
  // 引入element，size为small
  Vue.use(element, { size: 'small' })
  components.forEach((component) => {
    Vue.component(component.name, component)
  })
}

// 引入iconfont
let script = document.createElement('script')
script.src = '//at.alicdn.com/t/font_2028561_8ep6jf8gy2t.js'
document.body.appendChild(script)

export default {
  version: '2.13.2',
  install
}
