import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import '@/assets/css/common/common.scss' // 公用css
import '@/assets/css/global.scss' // 全局css覆盖
import '@/utils/permission.js'
import einyunUi from '@/components/einyun_ui/src'
// import filters from '@/utils/filters'
import '@/utils/directive'
import { Decimal } from 'decimal.js'

/* Object.keys(filters).forEach((k) => {
  Vue.filter(k, filters[k])
}) */
Vue.use(einyunUi)

let $decimaljs = function(v) {
  let num = Number(v)
  return {
    add(v) {
      num = new Decimal(num).add(Number(v)).toNumber()
      return this
    },
    sub(v) {
      num = new Decimal(num).sub(Number(v)).toNumber()
      return this
    },
    mul(v) {
      num = new Decimal(num).mul(Number(v)).toNumber()
      return this
    },
    div(v) {
      num = new Decimal(num).div(Number(v)).toNumber()
      return this
    },
    value() {
      return num
    }
  }
}
Vue.prototype.$decimaljs = $decimaljs

Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: (h) => h(App)
}).$mount('#app')
