import Layout from '@/views/layout/index.vue'

const demo = {
  path: '/demo',
  component: Layout,
  meta: {
    title: 'demo',
    icon: 'fa fa-smile-o',
    // hidden: true
    public: true
  },
  children: [
    {
      path: 'demo-common',
      name: 'demoCommon',
      component: () => import('@/views/demo/demo_common/index.vue'),
      meta: {
        title: '通用样式',
        public: true
      }
    },
    {
      path: 'demo-dialog',
      name: 'demoDialog',
      component: () => import('@/views/demo/demo_dialog/index.vue'),
      meta: {
        title: 'Dialog',
        public: true
      }
    },
    {
      path: 'demo-table',
      name: 'demoList',
      component: () => import('@/views/demo/demo_table/index.vue'),
      meta: {
        title: 'Table',
        public: true
      }
    },
    {
      path: 'demo-upload',
      name: 'demoUpload',
      component: () => import('@/views/demo/demo_upload/index.vue'),
      meta: {
        title: 'Upload',
        public: true
      }
    },
    {
      path: 'demo-batch',
      name: 'demoBatch',
      component: () => import('@/views/demo/demo_batch/index.vue'),
      meta: {
        title: 'batch',
        public: true
      }
    },
    {
      path: 'demo-tree',
      name: 'demoTree',
      component: () => import('@/views/demo/demo_tree/index.vue'),
      meta: {
        title: 'tree',
        public: true
      }
    },
    {
      path: 'demo-drawer',
      name: 'demoDrawer',
      component: () => import('@/views/demo/demo_drawer/index.vue'),
      meta: {
        title: 'drawer',
        public: true
      }
    },
    {
      path: 'demo-scrollbar',
      name: 'demoScrollbar',
      component: () => import('@/views/demo/demo_scrollbar/index.vue'),
      meta: {
        title: 'scrollbar',
        public: true
      }
    }
  ]
}

export default demo
